unit DesignEnvInit;

interface

uses
  Classes, ComCtrls, StdCtrls, Buttons, Menus, SysUtils,
  ExtCtrls, ActnList, Mask, Grids, Contnrs, Forms, CheckLst, AppEvnts,
  Valedit, Controls,  
  KclClassesMan;

var
  DesignClassList: TKclDesignClassList;

implementation


procedure FillDefDesignClassList;
begin
  if not Assigned(DesignClassList) then
    DesignClassList := TKclDesignClassList.Create;
  DesignClassList.AutoRegister := True;
  with DesignClassList do
  begin
    AddClass(TMainMenu, 'Standard', 1);
    AddClass(TPopupMenu, 'Standard', 2);
    AddClass(TLabel, 'Standard', 3);
    AddClass(TEdit, 'Standard', 4);
    AddClass(TMemo, 'Standard', 5);
    AddClass(TButton, 'Standard', 6);
    AddClass(TCheckBox, 'Standard', 7);
    AddClass(TRadioButton, 'Standard', 8);
    AddClass(TListBox, 'Standard', 9);
    AddClass(TComboBox, 'Standard', 10);
    AddClass(TScrollBar, 'Standard', 11);
    AddClass(TGroupBox, 'Standard', 12);
    AddClass(TRadioGroup, 'Standard', 13);
    AddClass(TPanel, 'Standard', 14);
    AddClass(TActionList, 'Standard', 15);                                    

    AddClass(TBitBtn, 'Additional', 16);
    AddClass(TSpeedButton, 'Additional', 17);
    AddClass(TMaskEdit, 'Additional', 18);
    AddClass(TStringGrid, 'Additional', 19);
    AddClass(TDrawGrid, 'Additional', 20);
    AddClass(TImage, 'Additional', 21);
    AddClass(TShape, 'Additional', 22);
    AddClass(TBevel, 'Additional', 23);
    AddClass(TScrollBox, 'Additional', 24);
    AddClass(TCheckListBox, 'Additional', 25);
    AddClass(TSplitter, 'Additional', 26);
    AddClass(TStaticText, 'Additional', 27);
    AddClass(TCoolBar, 'Additional', 28);
    AddClass(TApplicationEvents, 'Additional', 29);
    AddClass(TValueListEditor, 'Additional', 30);
    AddClass(TLabeledEdit, 'Additional', 31);
    AddClass(TColorBox, 'Additional', 32);
  end;
end;


initialization
  FillDefDesignClassList;
finalization
  FreeAndNil(DesignClassList);
end.
